@import 'layout';
@import 'mixins';
@import 'variables';

.footer {
  --background-color-footer: var(--color-black-5);

  --border-top-copyright: 1px solid var(--color-black-60);

  --color-copyright: var(--color-black-60);
  --color-footer: var(--color-black);
  --color-koro: var(--background-color-footer);

  --height-koro: 1.25rem;
  --height-logo: 3rem;

  --margin-bottom-logo: 1rem;

  --padding-top-copyright: 1rem;
  --padding-footer: 1rem 0;

  --width-logo: 5rem;
}

.footer {
  background-color: var(--background-color-footer);
  position: relative;
  display: grid;
  align-items: center;
  padding: var(--padding-footer);

  > div {
    padding: 0;
  }

  a {
    color: var(--color-black-60);
  }

  @include respond-below(sm) {
    opacity: 1;
    transition: visibility 0.2s, opacity 0.2s;

    &.mobileMenuOpen {
      opacity: 0;
      visibility: hidden;
    }
  }
}

.links {
  margin: 1rem 0;
  color: var(--color-black-60);
}

.contentWrapper {
  display: grid;
  color: var(--color-footer);
}

.helsinkiLogo {
  @include helsinki-logo($logoColor);

  background-position: center;
  height: var(--height-logo);
  width: var(--width-logo);
  margin-bottom: var(--margin-bottom-logo);
}

.copyright {
  border-top: var(--border-top-copyright);
  padding-top: var(--padding-top-copyright);

  p {
    margin: 0;
    color: var(--color-copyright);
  }
}

.koros {
  position: absolute;
  top: calc(0px - var(--height-koro));

  svg {
    height: var(--height-koro);
    fill: var(--color-koro);
  }
}
